Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.ddl
Class StandardDdlLexicon

    java.lang.Object
      org.modeshape.sequencer.ddl.StandardDdlLexicon

Direct Known Subclasses:
  DerbyDdlLexicon, MySqlDdlLexicon, OracleDdlLexicon, PostgresDdlLexicon

    public class StandardDdlLexicon

extends Object

Lexicon for DDL concepts.

Nested Class Summary
`static class` | `StandardDdlLexicon.Namespace`

Field Summary
`static Name` | `ALL_PRIVILEGES`
`static Name` | `CHECK_SEARCH_CONDITION`
`static Name` | `COLLATION_CHARACTER_SET_NAME`
`static Name` | `COLLATION_NAME`
`static Name` | `COLLATION_SOURCE`
`static Name` | `COLUMN_ATTRIBUTE_TYPE`
`static Name` | `CONSTRAINT_ATTRIBUTE_TYPE`
`static Name` | `CONSTRAINT_TYPE`
`static Name` | `CREATE_VIEW_OPTION_CLAUSE`
`static Name` | `CREATE_VIEW_QUERY_EXPRESSION`
`static Name` | `DATATYPE_LENGTH`
`static Name` | `DATATYPE_NAME`
`static Name` | `DATATYPE_PRECISION`
`static Name` | `DATATYPE_SCALE`
`static Name` | `DDL_EXPRESSION`
`static Name` | `DDL_LENGTH`
`static Name` | `DDL_ORIGINAL_EXPRESSION`
`static Name` | `DDL_START_CHAR_INDEX`
`static Name` | `DDL_START_COLUMN_NUMBER`
`static Name` | `DDL_START_LINE_NUMBER`
`static String` | `DEFAULT_ID_CURRENT_USER`
`static String` | `DEFAULT_ID_DATETIME`
`static String` | `DEFAULT_ID_LITERAL`
`static String` | `DEFAULT_ID_NULL`
`static String` | `DEFAULT_ID_SESSION_USER`
`static String` | `DEFAULT_ID_SYSTEM_USER`
`static String` | `DEFAULT_ID_USER`
`static Name` | `DEFAULT_OPTION`
`static Name` | `DEFAULT_PRECISION`
`static Name` | `DEFAULT_VALUE`
`static Name` | `DEFERRABLE`
`static Name` | `DROP_BEHAVIOR`
`static Name` | `DROP_OPTION_TYPE`
`static Name` | `EXISTING_NAME`
`static Name` | `GRANT_PRIVILEGE`
`static Name` | `GRANTEE`
`static Name` | `MESSAGE`
`static Name` | `NEW_NAME`
`static Name` | `NULLABLE`
`static Name` | `ON_COMMIT_VALUE`
`static Name` | `OPTION`
`static Name` | `PAD_ATTRIBUTE`
`static String` | `PAD_ATTRIBUTE_NO_PAD`
`static String` | `PAD_ATTRIBUTE_PAD` value constraints
`static Name` | `PARSER_ID`
`static Name` | `PROBLEM_LEVEL`
`static Name` | `PROPERTY_VALUE`
`static Name` | `SOURCE_CHARACTER_SET_NAME`
`static Name` | `SQL`
`static Name` | `STATEMENTS_CONTAINER`
`static Name` | `TARGET_CHARACTER_SET_NAME`
`static Name` | `TEMPORARY`
`static Name` | `TYPE`
`static Name` | `TYPE_ADD_COLUMN_DEFINITION`
`static Name` | `TYPE_ADD_TABLE_CONSTRAINT_DEFINITION`
`static Name` | `TYPE_ALTER_COLUMN_DEFINITION`
`static Name` | `TYPE_ALTER_DOMAIN_STATEMENT`
`static Name` | `TYPE_ALTER_TABLE_STATEMENT`
`static Name` | `TYPE_ALTERABLE`
`static Name` | `TYPE_ASSERTION_OPERAND`
`static Name` | `TYPE_CHARACTER_SET_OPERAND`
`static Name` | `TYPE_CLAUSE`
`static Name` | `TYPE_COLLATION_OPERAND`
`static Name` | `TYPE_COLUMN_DEFINITION`
`static Name` | `TYPE_COLUMN_OPERAND`
`static Name` | `TYPE_COLUMN_REFERENCE`
`static Name` | `TYPE_CREATE_ASSERTION_STATEMENT`
`static Name` | `TYPE_CREATE_CHARACTER_SET_STATEMENT`
`static Name` | `TYPE_CREATE_COLLATION_STATEMENT`
`static Name` | `TYPE_CREATE_DOMAIN_STATEMENT`
`static Name` | `TYPE_CREATE_SCHEMA_STATEMENT`
`static Name` | `TYPE_CREATE_TABLE_STATEMENT`
`static Name` | `TYPE_CREATE_TRANSLATION_STATEMENT`
`static Name` | `TYPE_CREATE_VIEW_STATEMENT`
`static Name` | `TYPE_CREATEABLE`
`static Name` | `TYPE_DOMAIN_CONSTRAINT`
`static Name` | `TYPE_DOMAIN_OPERAND`
`static Name` | `TYPE_DROP_ASSERTION_STATEMENT`
`static Name` | `TYPE_DROP_CHARACTER_SET_STATEMENT`
`static Name` | `TYPE_DROP_COLLATION_STATEMENT`
`static Name` | `TYPE_DROP_COLUMN_DEFINITION`
`static Name` | `TYPE_DROP_DOMAIN_STATEMENT`
`static Name` | `TYPE_DROP_SCHEMA_STATEMENT`
`static Name` | `TYPE_DROP_TABLE_CONSTRAINT_DEFINITION`
`static Name` | `TYPE_DROP_TABLE_STATEMENT`
`static Name` | `TYPE_DROP_TRANSLATION_STATEMENT`
`static Name` | `TYPE_DROP_VIEW_STATEMENT`
`static Name` | `TYPE_DROPPABLE`
`static Name` | `TYPE_FK_COLUMN_REFERENCE`
`static Name` | `TYPE_GRANT_ON_CHARACTER_SET_STATEMENT`
`static Name` | `TYPE_GRANT_ON_COLLATION_STATEMENT`
`static Name` | `TYPE_GRANT_ON_DOMAIN_STATEMENT`
`static Name` | `TYPE_GRANT_ON_TABLE_STATEMENT`
`static Name` | `TYPE_GRANT_ON_TRANSLATION_STATEMENT`
`static Name` | `TYPE_GRANT_STATEMENT`
`static Name` | `TYPE_GRANTABLE`
`static Name` | `TYPE_INSERT_STATEMENT`
`static Name` | `TYPE_INSERTABLE`
`static Name` | `TYPE_MISSING_TERMINATOR`
`static Name` | `TYPE_OPERAND`
`static Name` | `TYPE_OPERATION`
`static Name` | `TYPE_PROBLEM`
`static Name` | `TYPE_REFERENCE_OPERAND`
`static Name` | `TYPE_REVOKABLE`
`static Name` | `TYPE_REVOKE_ON_CHARACTER_SET_STATEMENT`
`static Name` | `TYPE_REVOKE_ON_COLLATION_STATEMENT`
`static Name` | `TYPE_REVOKE_ON_DOMAIN_STATEMENT`
`static Name` | `TYPE_REVOKE_ON_TABLE_STATEMENT`
`static Name` | `TYPE_REVOKE_ON_TRANSLATION_STATEMENT`
`static Name` | `TYPE_REVOKE_STATEMENT`
`static Name` | `TYPE_SCHEMA_OPERAND`
`static Name` | `TYPE_SET_STATEMENT`
`static Name` | `TYPE_SETTABLE`
`static Name` | `TYPE_SIMPLE_PROPERTY`
`static Name` | `TYPE_STATEMENT`
`static Name` | `TYPE_STATEMENT_OPTION`
`static Name` | `TYPE_TABLE_CONSTRAINT`
`static Name` | `TYPE_TABLE_CONSTRAINT_OPERAND`
`static Name` | `TYPE_TABLE_OPERAND`
`static Name` | `TYPE_TABLE_REFERENCE`
`static Name` | `TYPE_TRANSLATION_OPERAND`
`static Name` | `TYPE_UNKNOWN_STATEMENT`
`static Name` | `TYPE_VIEW_OPERAND`
`static Name` | `VALUE`
`static Name` | `WITH_GRANT_OPTION`

Constructor Summary
`StandardDdlLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARSER_ID

    public static final Name PARSER_ID

### STATEMENTS_CONTAINER

    public static final Name STATEMENTS_CONTAINER

### TYPE_MISSING_TERMINATOR

    public static final Name TYPE_MISSING_TERMINATOR

### TYPE_UNKNOWN_STATEMENT

    public static final Name TYPE_UNKNOWN_STATEMENT

### TYPE_OPERATION

    public static final Name TYPE_OPERATION

### TYPE_OPERAND

    public static final Name TYPE_OPERAND

### TYPE_STATEMENT

    public static final Name TYPE_STATEMENT

### TYPE_CREATEABLE

    public static final Name TYPE_CREATEABLE

### TYPE_ALTERABLE

    public static final Name TYPE_ALTERABLE

### TYPE_DROPPABLE

    public static final Name TYPE_DROPPABLE

### TYPE_INSERTABLE

    public static final Name TYPE_INSERTABLE

### TYPE_SETTABLE

    public static final Name TYPE_SETTABLE

### TYPE_GRANTABLE

    public static final Name TYPE_GRANTABLE

### TYPE_REVOKABLE

    public static final Name TYPE_REVOKABLE

### TYPE_SCHEMA_OPERAND

    public static final Name TYPE_SCHEMA_OPERAND

### TYPE_TABLE_OPERAND

    public static final Name TYPE_TABLE_OPERAND

### TYPE_DOMAIN_OPERAND

    public static final Name TYPE_DOMAIN_OPERAND

### TYPE_VIEW_OPERAND

    public static final Name TYPE_VIEW_OPERAND

### TYPE_ASSERTION_OPERAND

    public static final Name TYPE_ASSERTION_OPERAND

### TYPE_CHARACTER_SET_OPERAND

    public static final Name TYPE_CHARACTER_SET_OPERAND

### TYPE_COLLATION_OPERAND

    public static final Name TYPE_COLLATION_OPERAND

### TYPE_TRANSLATION_OPERAND

    public static final Name TYPE_TRANSLATION_OPERAND

### TYPE_COLUMN_OPERAND

    public static final Name TYPE_COLUMN_OPERAND

### TYPE_TABLE_CONSTRAINT_OPERAND

    public static final Name TYPE_TABLE_CONSTRAINT_OPERAND

### TYPE_REFERENCE_OPERAND

    public static final Name TYPE_REFERENCE_OPERAND

### TYPE_CREATE_TABLE_STATEMENT

    public static final Name TYPE_CREATE_TABLE_STATEMENT

### TYPE_CREATE_SCHEMA_STATEMENT

    public static final Name TYPE_CREATE_SCHEMA_STATEMENT

### TYPE_CREATE_VIEW_STATEMENT

    public static final Name TYPE_CREATE_VIEW_STATEMENT

### TYPE_CREATE_DOMAIN_STATEMENT

    public static final Name TYPE_CREATE_DOMAIN_STATEMENT

### TYPE_CREATE_ASSERTION_STATEMENT

    public static final Name TYPE_CREATE_ASSERTION_STATEMENT

### TYPE_CREATE_CHARACTER_SET_STATEMENT

    public static final Name TYPE_CREATE_CHARACTER_SET_STATEMENT

### TYPE_CREATE_COLLATION_STATEMENT

    public static final Name TYPE_CREATE_COLLATION_STATEMENT

### TYPE_CREATE_TRANSLATION_STATEMENT

    public static final Name TYPE_CREATE_TRANSLATION_STATEMENT

### TYPE_ALTER_TABLE_STATEMENT

    public static final Name TYPE_ALTER_TABLE_STATEMENT

### TYPE_ALTER_DOMAIN_STATEMENT

    public static final Name TYPE_ALTER_DOMAIN_STATEMENT

### TYPE_GRANT_STATEMENT

    public static final Name TYPE_GRANT_STATEMENT

### TYPE_GRANT_ON_TABLE_STATEMENT

    public static final Name TYPE_GRANT_ON_TABLE_STATEMENT

### TYPE_GRANT_ON_DOMAIN_STATEMENT

    public static final Name TYPE_GRANT_ON_DOMAIN_STATEMENT

### TYPE_GRANT_ON_COLLATION_STATEMENT

    public static final Name TYPE_GRANT_ON_COLLATION_STATEMENT

### TYPE_GRANT_ON_CHARACTER_SET_STATEMENT

    public static final Name TYPE_GRANT_ON_CHARACTER_SET_STATEMENT

### TYPE_GRANT_ON_TRANSLATION_STATEMENT

    public static final Name TYPE_GRANT_ON_TRANSLATION_STATEMENT

### TYPE_REVOKE_STATEMENT

    public static final Name TYPE_REVOKE_STATEMENT

### TYPE_REVOKE_ON_TABLE_STATEMENT

    public static final Name TYPE_REVOKE_ON_TABLE_STATEMENT

### TYPE_REVOKE_ON_DOMAIN_STATEMENT

    public static final Name TYPE_REVOKE_ON_DOMAIN_STATEMENT

### TYPE_REVOKE_ON_COLLATION_STATEMENT

    public static final Name TYPE_REVOKE_ON_COLLATION_STATEMENT

### TYPE_REVOKE_ON_CHARACTER_SET_STATEMENT

    public static final Name TYPE_REVOKE_ON_CHARACTER_SET_STATEMENT

### TYPE_REVOKE_ON_TRANSLATION_STATEMENT

    public static final Name TYPE_REVOKE_ON_TRANSLATION_STATEMENT

### TYPE_SET_STATEMENT

    public static final Name TYPE_SET_STATEMENT

### TYPE_INSERT_STATEMENT

    public static final Name TYPE_INSERT_STATEMENT

### TYPE_DROP_SCHEMA_STATEMENT

    public static final Name TYPE_DROP_SCHEMA_STATEMENT

### TYPE_DROP_TABLE_STATEMENT

    public static final Name TYPE_DROP_TABLE_STATEMENT

### TYPE_DROP_VIEW_STATEMENT

    public static final Name TYPE_DROP_VIEW_STATEMENT

### TYPE_DROP_DOMAIN_STATEMENT

    public static final Name TYPE_DROP_DOMAIN_STATEMENT

### TYPE_DROP_CHARACTER_SET_STATEMENT

    public static final Name TYPE_DROP_CHARACTER_SET_STATEMENT

### TYPE_DROP_COLLATION_STATEMENT

    public static final Name TYPE_DROP_COLLATION_STATEMENT

### TYPE_DROP_TRANSLATION_STATEMENT

    public static final Name TYPE_DROP_TRANSLATION_STATEMENT

### TYPE_DROP_ASSERTION_STATEMENT

    public static final Name TYPE_DROP_ASSERTION_STATEMENT

### TYPE_DROP_COLUMN_DEFINITION

    public static final Name TYPE_DROP_COLUMN_DEFINITION

### TYPE_ALTER_COLUMN_DEFINITION

    public static final Name TYPE_ALTER_COLUMN_DEFINITION

### TYPE_ADD_COLUMN_DEFINITION

    public static final Name TYPE_ADD_COLUMN_DEFINITION

### TYPE_DROP_TABLE_CONSTRAINT_DEFINITION

    public static final Name TYPE_DROP_TABLE_CONSTRAINT_DEFINITION

### TYPE_ADD_TABLE_CONSTRAINT_DEFINITION

    public static final Name TYPE_ADD_TABLE_CONSTRAINT_DEFINITION

### TYPE_PROBLEM

    public static final Name TYPE_PROBLEM

### TYPE_COLUMN_DEFINITION

    public static final Name TYPE_COLUMN_DEFINITION

### TYPE_COLUMN_REFERENCE

    public static final Name TYPE_COLUMN_REFERENCE

### TYPE_TABLE_CONSTRAINT

    public static final Name TYPE_TABLE_CONSTRAINT

### TYPE_STATEMENT_OPTION

    public static final Name TYPE_STATEMENT_OPTION

### TYPE_TABLE_REFERENCE

    public static final Name TYPE_TABLE_REFERENCE

### TYPE_FK_COLUMN_REFERENCE

    public static final Name TYPE_FK_COLUMN_REFERENCE

### TYPE_CLAUSE

    public static final Name TYPE_CLAUSE

### TYPE_DOMAIN_CONSTRAINT

    public static final Name TYPE_DOMAIN_CONSTRAINT

### TYPE_SIMPLE_PROPERTY

    public static final Name TYPE_SIMPLE_PROPERTY

### DDL_EXPRESSION

    public static final Name DDL_EXPRESSION

### DDL_ORIGINAL_EXPRESSION

    public static final Name DDL_ORIGINAL_EXPRESSION

### DDL_START_LINE_NUMBER

    public static final Name DDL_START_LINE_NUMBER

### DDL_START_COLUMN_NUMBER

    public static final Name DDL_START_COLUMN_NUMBER

### DDL_START_CHAR_INDEX

    public static final Name DDL_START_CHAR_INDEX

### DDL_LENGTH

    public static final Name DDL_LENGTH

### OPTION

    public static final Name OPTION

### TYPE

    public static final Name TYPE

### NEW_NAME

    public static final Name NEW_NAME

### SQL

    public static final Name SQL

### TEMPORARY

    public static final Name TEMPORARY

### ON_COMMIT_VALUE

    public static final Name ON_COMMIT_VALUE

### NULLABLE

    public static final Name NULLABLE

### DEFAULT_OPTION

    public static final Name DEFAULT_OPTION

### COLLATION_NAME

    public static final Name COLLATION_NAME

### CONSTRAINT_TYPE

    public static final Name CONSTRAINT_TYPE

### DEFERRABLE

    public static final Name DEFERRABLE

### CHECK_SEARCH_CONDITION

    public static final Name CHECK_SEARCH_CONDITION

### DATATYPE_NAME

    public static final Name DATATYPE_NAME

### DATATYPE_LENGTH

    public static final Name DATATYPE_LENGTH

### DATATYPE_PRECISION

    public static final Name DATATYPE_PRECISION

### DATATYPE_SCALE

    public static final Name DATATYPE_SCALE

### DEFAULT_VALUE

    public static final Name DEFAULT_VALUE

### DEFAULT_PRECISION

    public static final Name DEFAULT_PRECISION

### VALUE

    public static final Name VALUE

### DROP_BEHAVIOR

    public static final Name DROP_BEHAVIOR

### PROPERTY_VALUE

    public static final Name PROPERTY_VALUE

### PROBLEM_LEVEL

    public static final Name PROBLEM_LEVEL

### GRANT_PRIVILEGE

    public static final Name GRANT_PRIVILEGE

### ALL_PRIVILEGES

    public static final Name ALL_PRIVILEGES

### WITH_GRANT_OPTION

    public static final Name WITH_GRANT_OPTION

### GRANTEE

    public static final Name GRANTEE

### CREATE_VIEW_QUERY_EXPRESSION

    public static final Name CREATE_VIEW_QUERY_EXPRESSION

### CREATE_VIEW_OPTION_CLAUSE

    public static final Name CREATE_VIEW_OPTION_CLAUSE

### MESSAGE

    public static final Name MESSAGE

### EXISTING_NAME

    public static final Name EXISTING_NAME

### COLLATION_CHARACTER_SET_NAME

    public static final Name COLLATION_CHARACTER_SET_NAME

### COLLATION_SOURCE

    public static final Name COLLATION_SOURCE

### PAD_ATTRIBUTE

    public static final Name PAD_ATTRIBUTE

### SOURCE_CHARACTER_SET_NAME

    public static final Name SOURCE_CHARACTER_SET_NAME

### TARGET_CHARACTER_SET_NAME

    public static final Name TARGET_CHARACTER_SET_NAME

### PAD_ATTRIBUTE_PAD

    public static final String PAD_ATTRIBUTE_PAD

  value constraints

  See Also:
    Constant Field Values

### PAD_ATTRIBUTE_NO_PAD

    public static final String PAD_ATTRIBUTE_NO_PAD

See Also:
  Constant Field Values

### DEFAULT_ID_LITERAL

    public static final String DEFAULT_ID_LITERAL

See Also:
  Constant Field Values

### DEFAULT_ID_DATETIME

    public static final String DEFAULT_ID_DATETIME

See Also:
  Constant Field Values

### DEFAULT_ID_USER

    public static final String DEFAULT_ID_USER

See Also:
  Constant Field Values

### DEFAULT_ID_CURRENT_USER

    public static final String DEFAULT_ID_CURRENT_USER

See Also:
  Constant Field Values

### DEFAULT_ID_SESSION_USER

    public static final String DEFAULT_ID_SESSION_USER

See Also:
  Constant Field Values

### DEFAULT_ID_SYSTEM_USER

    public static final String DEFAULT_ID_SYSTEM_USER

See Also:
  Constant Field Values

### DEFAULT_ID_NULL

    public static final String DEFAULT_ID_NULL

See Also:
  Constant Field Values

### DROP_OPTION_TYPE

    public static final Name DROP_OPTION_TYPE

### COLUMN_ATTRIBUTE_TYPE

    public static final Name COLUMN_ATTRIBUTE_TYPE

### CONSTRAINT_ATTRIBUTE_TYPE

    public static final Name CONSTRAINT_ATTRIBUTE_TYPE

Constructor Detail

### StandardDdlLexicon

    public StandardDdlLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.